﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Test AJAX through jQuery and ASP web-service</title>
    <script src="scripts/jquery-1.3.2.min.js" type="text/javascript" language="javascript"></script>
    <script src="scripts/json2.js"type="text/javascript" language="javascript"></script>
    <script type="text/javascript" language="javascript">
    function makeRequest()
    {
        // готовим передаваемые параметры в переменную par, здесь - всего лишь эмуляция
        var par = new Object();
        par.a = 5;
        par.b = 'data';
        par.c = new Array();
        par.c[0] = 5;
        par.c[1] = 10;
        // сериализуем объект
        var ser = JSON.stringify(par);
        // формируем ajax-запрос
          $.ajax({
            type: "POST",
            url: "usersrv.asmx/GetPoint",
            data: "{'par':'"+ser+"'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function(r) {
               var res=r.d;
               // сериализуем для наглядности полученные данные и выводим их на страницу
               // в реальном приложении здесь мы просто будем использовать готовые данные
               // в переменной res без сериализации
               document.getElementById("result").innerHTML=JSON.stringify(r);
            },
            error: function(err) {
                // обработка ошибки
               alert('error: '+err.responseText);
            }
          });
    }
    </script>
</head>
<body>
<div id="result">Здесь будет отображаться результат</div><br />
<input type="button" onclick="makeRequest()" value="Request"/>
</body>
</html>
